<!DOCTYPE HTML>
<html lang="en-US">
    <head>
        <title>Turbo Claim</title>
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <meta charset="UTF-8">
        <script type="text/javascript" src="js/script.js"></script>
        <script src="https://code.jquery.com/jquery-1.12.4.js"></script>
        <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
        <link rel="stylesheet" href="//code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
        <link rel="stylesheet" type="text/css" href="css/index.css">
        <style>
            input[type=date]::-webkit-inner-spin-button {
            -webkit-appearance: none;
            display: none;
            }
        </style>
    </head>
    <body>
        <article>
            <img id="logo" src="images/logo.png"/>
            <p id="description">A one time SMS to download the App will be sent</p>
            <form onsubmit="sendSMS(this); return false;"  autocomplete="off">
                <input class="field" id="phone" name="phone" type="tel" placeholder="Phone Number" />
                <input class="field" id="claimid" name="claimid" type="claimid" placeholder="Claim ID" />
                <input class="field" id="ownername" name="ownername" type="text" placeholder="Owner Name / Company Name" />
                <input class="field" id="datepicker"  name="dateofloss" type="text" placeholder="Date of Loss"  />
                <input class="field" id="insuranacecompany" name="insuranacecompany" type="text" placeholder="Insurance Company" />
                <br/>
                <input id="button" type="submit" value="SEND THE APP"/>
            </form>
        </article>
    </body>
</html>

<script>
$( function() {
    $( "#datepicker" ).datepicker();
  } );  


const isNumericInput = (event) => {
  const key = event.keyCode;
  return ((key >= 48 && key <= 57) || // Allow number line
      (key >= 96 && key <= 105) // Allow number pad
      );
  };

  const isModifierKey = (event) => {
      const key = event.keyCode;
      return (event.shiftKey === true || key === 35 || key === 36) || // Allow Shift, Home, End
          (key === 8 || key === 9 || key === 13 || key === 46) || // Allow Backspace, Tab, Enter, Delete
          (key > 36 && key < 41) || // Allow left, up, right, down
          (
              // Allow Ctrl/Command + A,C,V,X,Z
              (event.ctrlKey === true || event.metaKey === true) &&
              (key === 65 || key === 67 || key === 86 || key === 88 || key === 90)
          )
  };

  const enforceFormat = (event) => {
      // Input must be of a valid number format or a modifier key, and not longer than ten digits
      if(!isNumericInput(event) && !isModifierKey(event)){
          event.preventDefault();
      }
  };

  const formatToPhone = (event) => {
      if(isModifierKey(event)) {return;}

      // I am lazy and don't like to type things more than once
      const target = event.target;
      const input = target.value.replace(/\D/g,'').substring(0,10); // First ten digits of input only
      const zip = input.substring(0,3);
      const middle = input.substring(3,6);
      const last = input.substring(6,10);

      if(input.length > 6){target.value = `${zip}-${middle}-${last}`;}
      else if(input.length > 3){target.value = `${zip}-${middle}`;}
      else if(input.length > 0){target.value = `${zip}`;}
  };

  const inputElement = document.getElementById('phone');
  inputElement.addEventListener('keydown',enforceFormat);
  inputElement.addEventListener('keyup',formatToPhone);
</script>